%define upstream_name    Crypt-CAST5
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 27

Summary:	Crypt::CAST5 - CAST5 block cipher
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/B/BO/BOBMATH/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel

%description
This module provides an implementation of the CAST5 block cipher using
compiled C code for increased speed. CAST5 is also known as CAST-128. It
is a product of the CAST design procedure developed by C. Adams and
S. Tavares. The CAST5 cipher is available royalty-free.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/*/*




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.50.0-27.mga10
+ Revision: 2225748
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 0.50.0-26.mga10
+ Revision: 2087889
- Rebuild against new perl

* Thu Nov 30 2023 tv <tv> 0.50.0-25.mga10
+ Revision: 2011559
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 0.50.0-24.mga9
+ Revision: 1861621
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.50.0-23.mga9
+ Revision: 1795586
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.50.0-22.mga9
+ Revision: 1726461
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.50.0-21.mga8
+ Revision: 1594368
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.50.0-20.mga8
+ Revision: 1529427
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.50.0-19.mga8
+ Revision: 1433434
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.50.0-18.mga7
+ Revision: 1292543
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 0.50.0-17.mga7
+ Revision: 1248567
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.50.0-16.mga7
+ Revision: 1163593
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.50.0-15.mga7
+ Revision: 1148697
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.50.0-14.mga7
+ Revision: 1127432
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.50.0-13.mga6
+ Revision: 1024505
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.50.0-12.mga6
+ Revision: 956921
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.50.0-11.mga6
+ Revision: 843896
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-10.mga5
+ Revision: 743422
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-9.mga5
+ Revision: 684029
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.50.0-8.mga5
+ Revision: 630950
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-7.mga4
+ Revision: 524751
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.50.0-6.mga4
+ Revision: 431381
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-5.mga3
+ Revision: 364828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.50.0-4.mga3
+ Revision: 250388
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.50.0-3.mga2
+ Revision: 103786
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.50.0-2.mga1
+ Revision: 10336
- imported package perl-Crypt-CAST5


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-2mdv2011.0
+ Revision: 555708
- rebuild

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 403029
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.05-4mdv2009.0
+ Revision: 256204
- rebuild

* Mon Jan 14 2008 Thierry Vignaud <tv@mandriva.org> 0.05-2mdv2008.1
+ Revision: 151888
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sun Jul 09 2006 Emmanuel Andry <eandry@mandriva.org> 0.05-1mdv2007.0
- 0.0.5
- %%mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.04-1mdk
- initial Mandriva package

